proc()
  local dir;
begin
  intlib:=domain():
  intlib::name:="intlib":
  intlib::info:="Library 'intlib':  Symbolic Integration":
  intlib::interface:={hold(int),hold(equal),hold(simplify)}:

  dir:= pathname("INTLIB"):

intlib::_proof:= loadproc(intlib::_proof,dir,"_proof"):
intlib::algdep:= loadproc(intlib::algdep,dir,"algdep"):
intlib::algred:= loadproc(intlib::algred,dir,"algred"):
intlib::bound:= loadproc(intlib::bound,dir,"bound"):
intlib::diffs:= loadproc(intlib::diffs,dir,"diffs"):
intlib::equal:= loadproc(intlib::equal,dir,"equal"):
intlib::gcdex:= loadproc(intlib::gcdex,dir,"gcdex"):
intlib::gcdk_n:= loadproc(intlib::gcdk_n,dir,"gcdk_n"):
intlib::hermite:= loadproc(intlib::hermite,dir,"hermite"):
intlib::insert:= loadproc(intlib::insert,dir,"insert"):
intlib::int:= loadproc(intlib::int,dir,"int"):
intlib::intt:= loadproc(intlib::intt,dir,"intt"):
intlib::inttest:= loadproc(intlib::inttest,dir,"inttest"):
intlib::linsys:= loadproc(intlib::linsys,dir,"linsys"):
intlib::lookup:= loadproc(intlib::lookup,dir,"lookup"):
intlib::pde_exp:= loadproc(intlib::pde_exp,dir,"pde_exp"):
intlib::pde_var:= loadproc(intlib::pde_var,dir,"pde_var"):
intlib::pde_ln:= loadproc(intlib::pde_ln,dir,"pde_ln"):
intlib::pdioe:= loadproc(intlib::pdioe,dir,"pdioe"):
intlib::primpart:= loadproc(intlib::primpart,dir,"primpart"):
intlib::quad:= loadproc(intlib::quad,dir,"quad"):
intlib::risch:= loadproc(intlib::risch,dir,"risch"):
intlib::rlti:= loadproc(intlib::rlti,dir,"rlti"):
intlib::sim:= loadproc(intlib::sim,dir,"sim"):
intlib::simpl:= loadproc(intlib::simpl,dir,"simpl"):
intlib::simplify:= loadproc(intlib::simplify,dir,"simplify"):
intlib::solveRde:= loadproc(intlib::solveRde,dir,"solveRde"):
intlib::spde:= loadproc(intlib::spde,dir,"spde"):
intlib::split1:= loadproc(intlib::split1,dir,"split1"):
intlib::split2:= loadproc(intlib::split2,dir,"split2"):
intlib::sqffTab:= loadproc(intlib::sqffTab,dir,"sqffTab"):
intlib::sub:= loadproc(intlib::sub,dir,"sub"):
intlib::subres:= loadproc(intlib::subres,dir,"subres"):
intlib::subst:= loadproc(intlib::subst,dir,"subst"):
intlib::tower:= loadproc(intlib::tower,dir,"tower"):
intlib::weaknorm:= loadproc(intlib::weaknorm,dir,"weaknorm"):
intlib::changevar:= loadproc(intlib::changevar,dir,"changevr"):

  dir:= pathname("INTLIB", "NUMERIC"):

intlib::numint   := loadproc(intlib::numint,dir,"numint"):
intlib::improper := loadproc(intlib::improper,dir,"improper"):
intlib::oscillate:= loadproc(intlib::oscillate,dir,"osc"):
intlib::ncquad   := loadproc(intlib::ncquad,dir,"ncquad"):
intlib::ccquad   := loadproc(intlib::ccquad,dir,"ccquad"):
intlib::float    := loadproc(intlib::float,dir,"float"):

#tt-
  export(intlib);
-tt#
  null():
end_proc():

